Skip to main content
GET
/
project
/
{projectId}
Get project by ID
curl --request GET \
  --url https://api.qovery.com/project/{projectId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "associated_environments_count": 123,
  "organization": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-feat-new-navigation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

projectId
string<uuid>
required

Project ID

Response

Get project by ID

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
name
string
required
associated_environments_count
integer
required
organization
object
required
updated_at
string<date-time>
read-only
description
string